Name: perl-Crypt-CBCeasy
Version: 0.24
Release: 7.%{_disttag}
Summary: Crypt-CBCeasy Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Crypt%3a%3aCBCeasy
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 2:5.10.1 perl(ExtUtils::MakeMaker)
Source0: Crypt-CBCeasy-%{version}.tar.gz
Provides: perl(Crypt::CBCeasy)
BuildArch: noarch

%description
Crypt-CBCeasy Perl module

%prep
%setup -q -n Crypt-CBCeasy-%{version} 

%build
echo -e "\n\n\n\n" | %{__perl} Makefile.PL \
    INSTALLDIRS=vendor \
    OPTIMIZE="$RPM_OPT_FLAGS"
%{__make}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`
                                                                                
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
                                                                                
find $RPM_BUILD_ROOT -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT
                                                                                
%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
 
%changelog
* Sun Jul 14 2013 Salvador Ortiz <sog@msg.com.mx> 0.24-7
- Rebuild for F19
- Remove unneeded dependency from MODULE_COMPAT

* Wed Jan 18 2012 Salvador Ortiz <sog@msg.com.mx> 0.24-6
- Rebuild for F16 and epel-6

* Sun Nov 30 2008 Salvador Ortiz <sog@msg.comx.m> 0.24-5
- Rebuild for F9+
* Wed Nov 21 2007 Salvador Ortiz Garcia <sog@msg.com.mx> 0.24-4
- Rebuild for F8
* Fri Apr 30 2005 sog@msg.com.mx 0.24-3
- Rebuild for FC3
* Sat Jan 17 2004 sog@msg.com.mx 0.24-2
- Rebuild for FC1
* Fri Jun 27 2003 sog@msg.com.mx 0.24-1.9x
- Rebuild for RH9
* Thu Jun 20 2002 sog@msg.com.mx
- Specfile autogenerated
